package com.vendor.burn.model.devices.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.BurnContext;
import com.vendor.burn.model.define.ICheckerBoard;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.ITab;
import com.vendor.burn.model.devices.burners.AbstractBurner;
import com.vendor.burn.model.event.EventType;
import com.vendor.burn.model.event.FastbootEvent;
import com.vendor.burn.serial.workers.AbstractBurnerWorker;
import com.vendor.burn.serial.workers.BoardBurnerWorker;
import com.vendor.burn.ui.burners.tabs.BoradCheckTab;
import java.util.List;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.jobs.IJobChangeListener;
import org.eclipse.core.runtime.jobs.Job;

public class BoardCheckBurner extends AbstractBurner implements ICheckerBoard {
  public BoardCheckBurner(BurnContext burnContext) {
    super(burnContext);
  }
  
  public List<String> getSteps() {
    return null;
  }
  
  public ITab getTab() {
    return (ITab)new BoradCheckTab();
  }
  
  public void burn(IFastbootProgressMonitor monitor) {}
  
  public void check(IFastbootProgressMonitor fastbootMonitor) {
    if (fastbootMonitor == null)
      return; 
    fastbootMonitor.getEvent().init(EventType.CHECK);
    BoardBurnerWorker worker = getBurnerWorker();
    worker.setProgressMonitor(fastbootMonitor);
    if (fastbootMonitor != null)
      fastbootMonitor.begin(); 
    if (fastbootMonitor != null) {
      FastbootEvent event = fastbootMonitor.getEvent();
      Object object = new Object(this, "Check Single Board Status", worker, event, fastbootMonitor);
      showProgressDialog((Job)object);
      object.addJobChangeListener((IJobChangeListener)new Object(this, fastbootMonitor));
      object.schedule();
    } 
  }
  
  public IStatus checkBeforeCheck() {
    IStatus validSerialPort = validSerialPort();
    if (!isOK(validSerialPort))
      return validSerialPort; 
    return null;
  }
  
  protected BoardBurnerWorker getBurnerWorker() {
    return new BoardBurnerWorker(this);
  }
  
  public void burn(IFastbootProgressMonitor monitor, String directory) {}
}
